PHP, which stands for PHP: Hypertext Preprocessor, is amongst the most commonly used interpreted programming languages available out there. Any website or web app built on PHP will run on a given web server provided that a PHP module is installed, which makes the language absolutely universal and it’s no wonder that there are actually several million web servers that support it and hundreds of millions of PHP-driven sites hosted on them. PHP is preferred over HTML thanks to the fact that it allows you to create an interactive website with a multitude of different features. A PHP-based community site, for example, will display unique content to each visitor even though the URL will be the same. In contrast, HTML sites are static and the page content can be edited only manually. Like any other piece of software, PHP has several versions and the one that was used while creating a specific website must be enabled on the server in order for the site to behave flawlessly.

PHP 4, PHP 5 and PHP 7 Support in Cloud Website Hosting

With our Linux cloud website hosting packages, you’ll be able to choose the PHP version that will be active for your web hosting account, as multiple versions are available on our servers. With as little as one mouse click, you will be able to switch between PHP 4, 5, 7 and each time a new version is introduced in the future, we will include it in the Hepsia Control Panel without removing the previous ones. In this way, you will be able to host all the sites that you’ve developed throughout the years. In stark contrast with a lot of other companies, we won’t force you to update such websites, because a script may be outdated, but this doesn’t mean that it is insecure since you may have performed modifications to its code to plug safety breaches. For your convenience, you will even be able to choose a different version of PHP for each website hosted in your shared hosting account.

PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Hosting

If you’ve got a site created using an older PHP version and you have spent time and effort on developing it, fixing security holes and publishing page content, you will need a hosting service that can support it, as most hosting companies nowadays support only the latest PHP version and remove the older ones. We, however, have decided to allow you to select the version that your own sites require. Our semi-dedicated hosting support PHP 4, PHP 5 and PHP 7, which suggests that you’ll be able to use both older and newer scripts without forfeiting any manual tweaks or frittering away time and effort struggling to make your sites compatible with the hosting environment. The current version can be changed from the Hepsia Control Panel and such an update will affect the whole account, but you’ll also be able to specify a different PHP version for each website that you host in your account by using an .htaccess config file.